<script setup>
const props = defineProps({
  bgPath: {
    type: String,
    required: true,
  },

  // Must pass correct tailwind classes.
  bgSize: {
    type: Array,
    required: true,
  },

  title: {
    type: String,
    required: true,
  },

  content: {
    type: String,
    required: true,
  },
});
</script>

<template>
  <div
    :class="[
      'flex',
      'flex-col',
      'justify-center',
      'bg-no-repeat',
      'bg-contain',
      'text-white',
      'mb-4',
      'md:mb-0',
      ...props.bgSize,
    ]"
    :style="{ backgroundImage: `url('${props.bgPath}')` }"
  >
    <h1 :class="['text-2xl', 'font-cream', 'text-center', 'uppercase', 'mb-1']">
      {{ props.title }}
    </h1>

    <p class="text-center">
      {{ props.content }}
    </p>
  </div>
</template>
